Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7886 - When updgrading, if you use quota the installer crash.
Summary: When updgrading, if you use quota the installer crash.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-19 05:28 UTC by Oliver Schulze L.
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-20 08:14:15 UTC


Attachments (Terms of Use)

Description Oliver Schulze L. 1999-12-19 05:28:05 UTC
Here is the situation:
----------------------
Current install: RH 5.2
Upgrading to:    RH 6.1
Condensed /etc/fstab content:
  /dev/sda1  /     etx2  defaults 1 1
  /dev/sda2  /usr  etx2  defaults,usrquota,grpquota 1 2
  /dev/sda4  /var  etx2  defaults,usrquota,grpquota 1 2

When I upgrade to RH6.1, and choose to upgrade, the installer does:
- find the rpm database
- read the rpm database
- when trying to find packages to upgrade, it dump the stack of the python
  program that caused the crash.

Solution:
---------
I booted the old RH5.2 and edited the /etc/fstab and remove the quota
options. The above fstab becomes:
  /dev/sda1  /     etx2  defaults 1 1
  /dev/sda2  /usr  etx2  defaults 1 2
  /dev/sda4  /var  etx2  defaults 1 2

Then I try to upgrade and It did find the package to upgrade.

Reproduction:
-------------
Then I want to confirm the BUG. So I cancel the upgrade, then boot
again RH5.2 and restore the original /etc/fstab.
Then I try o upgrade, doing exactly the same procedure and it failed again.
So, this is a reproducible BUG.

The python stack:
-----------------
When the installer show the stack, I choice "debug" and then enter
in the Pdb. In the Pdb I run the command "w" to see the stack, and
here it is (textually):
---------------------------------------------------------------------
(Pdb) w
   /usr/bin/anaconda(235)?()
-> pdb.post_morten(tb)
   /usr/lib/python1.5/site-packages/text.py(1000) run()
-> rc=apply(step[1](), step[2])
   /usr/lib/python1.5/site-packages/text.py(251) __call__()
-> todo.upgradeFindPackages(root)
 > /usr/lib/python1.5/site-packages/todo.py(1155) upgradeFindPackages()
-> packages=rpm.findUpgradeSet(self.hdList.hdlist, self.instPath)
---------------------------------------------------------------------

Procedure in the Installer:
---------------------------
- when booting from the CDROM, type "text" in the lilo prompt
- Press Enter at the welcome
- Select upgrade
- select English language
- select US keyboard
- (I think thats is all)

Instalation media:
------------------
CD buyed in cheapbytes.com
The CD is the CD image available in the ftp of RedHat.

Hope this help
Oliver

Comment 1 Oliver Schulze L. 1999-12-20 08:14:59 UTC
This is resolved in:
http://www.redhat.com/support/docs/gotchas/6.1/gotchas-6.1-5.html#ss5.4
Oliver


Note You need to log in before you can comment on or make changes to this bug.